# std::chrono::month_weekday

From cppreference.com
< cpp‎ | chrono

Defined in header `<chrono>` |  |
class month_weekday; |  | (since C++20)

The class `month_weekday` represents the n-th weekday of a specific month, of some yet to be specified year.

`month_weekday` is a TriviallyCopyable StandardLayoutType.

### Member functions

(constructor) | constructs a `month_weekday` (public member function)
monthweekday_indexed | retrieves the stored `month` and `weekday_indexed` values (public member function)
ok | checks whether the contained `month` and `weekday_indexed` are valid (public member function)

### Nonmember functions

operator==operator!= | compares two `month_weekday` objects (function)
operator<< | outputs a `month_weekday` into a stream (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_weekday&oldid=104708"